Skip to Content

Dashboard

5 endpoints

POST /api/v5/artifacts/dashboard/get

Get Dashboard

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ start_date?: `string` | `null` end_date?: `string` | `null` cohort_ids?: `string`[] | `null` simulation_ids?: `string`[] | `null` department_ids?: `string`[] | `null` roles?: `string`[] | `null` simulation_filters?: `string`[] | `null` actor_profile_id?: `string` | `null` target_profile_id?: `string` | `null` page_limit?: `integer` page_offset?: `integer` rubric_ids?: `string`[] | `null` rubric_search?: `string` | `null` simulation_picker_ids?: `string`[] | `null` simulation_picker_search?: `string` | `null` parameter_ids?: `string`[] | `null` parameter_search?: `string` | `null` scenario_ids?: `string`[] | `null` scenario_search?: `string` | `null` history_practice?: `boolean` ... }

Response:

{ header_metrics?: `DashboardHeaderMetrics` primary_metrics?: `DashboardPrimaryMetrics` secondary_metrics?: `DashboardSecondaryMetrics` footer_metrics?: `DashboardFooterMetrics` simulations?: `DashboardSimulationMeta`[] scenarios?: `DashboardScenarioMeta`[] rubrics?: `DashboardRubricMeta`[] parameters?: `DashboardParameterMeta`[] fields?: `DashboardFieldMeta`[] thresholds?: `DashboardThresholds` | `null` insights?: `DashboardInsights` | `null` simulation_options?: `FilterOption`[] profile_name?: `string` | `null` profile_emails?: `string`[] | `null` profile_primary_email?: `string` | `null` profile_role?: `string` | `null` analytics?: `AnalyticsFacets` | `null` history?: `HistoryResponse` | `null` }

POST /api/v5/artifacts/dashboard/search

Search Dashboard

Get dashboard attempt history (paginated).

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ start_date?: `string` | `null` end_date?: `string` | `null` cohort_ids?: `string`[] | `null` department_ids?: `string`[] | `null` target_profile_id?: `string` | `null` practice?: `boolean` scenario_ids?: `string`[] | `null` infinite_mode?: `boolean` | `null` show_archived?: `boolean` sort_by?: `string` sort_order?: `string` page?: `integer` page_size?: `integer` simulation_search?: `string` | `null` scenario_search?: `string` | `null` profile_search?: `string` | `null` }

Response:

{ data?: `HistoryItem`[] total_count?: `integer` page?: `integer` page_size?: `integer` total_pages?: `integer` simulation_options?: `FilterOption`[] | `null` scenario_options?: `FilterOption`[] | `null` profile_options?: `FilterOption`[] | `null` }

POST /api/v5/artifacts/dashboard/refresh

Dashboard Refresh

Refresh dashboard caches (no materialized views).

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/dashboard/export

Export Dashboard

Export all dashboard data as a clean, denormalized ZIP.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/dashboard/docs

Get Dashboard Docs Endpoint

Get composed documentation for the dashboard analytics.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

Last updated on